Package org.lwjgl.opengl

# Class NVTransformFeedback2

java.lang.Object
org.lwjgl.opengl.NVTransformFeedback2

public final class NVTransformFeedback2 extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_TRANSFORM_FEEDBACK_BINDING_NV`
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetIntegerv, and GetFloatv:
`static final int`
`GL_TRANSFORM_FEEDBACK_BUFFER_ACTIVE_NV`
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetIntegerv, and GetFloatv:
`static final int`
`GL_TRANSFORM_FEEDBACK_BUFFER_PAUSED_NV`
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetIntegerv, and GetFloatv:
`static final int`
`GL_TRANSFORM_FEEDBACK_NV`
Accepted by the <target> parameter of BindTransformFeedbackNV:

## Method Summary

Modifier and Type
Method
Description
`static void`
`glBindTransformFeedbackNV(int target, int id)`
`static void`
`glDeleteTransformFeedbacksNV(int id)`
Overloads glDeleteTransformFeedbacksNV.
`static void`
`glDeleteTransformFeedbacksNV(IntBuffer ids)`
`static void`
`glDrawTransformFeedbackNV(int mode, int id)`
`static int`
`glGenTransformFeedbacksNV()`
Overloads glGenTransformFeedbacksNV.
`static void`
`glGenTransformFeedbacksNV(IntBuffer ids)`
`static boolean`
`glIsTransformFeedbackNV(int id)`
`static void`
`glPauseTransformFeedbackNV()`
`static void`
`glResumeTransformFeedbackNV()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_TRANSFORM_FEEDBACK_NV

public static final int GL_TRANSFORM_FEEDBACK_NV
Accepted by the <target> parameter of BindTransformFeedbackNV:

See Also:
  - Constant Field Values

### GL_TRANSFORM_FEEDBACK_BUFFER_PAUSED_NV

public static final int GL_TRANSFORM_FEEDBACK_BUFFER_PAUSED_NV
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetIntegerv, and GetFloatv:

See Also:
  - Constant Field Values

### GL_TRANSFORM_FEEDBACK_BUFFER_ACTIVE_NV

public static final int GL_TRANSFORM_FEEDBACK_BUFFER_ACTIVE_NV
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetIntegerv, and GetFloatv:

See Also:
  - Constant Field Values

### GL_TRANSFORM_FEEDBACK_BINDING_NV

public static final int GL_TRANSFORM_FEEDBACK_BINDING_NV
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetIntegerv, and GetFloatv:

See Also:
  - Constant Field Values

## Method Details

### glBindTransformFeedbackNV

public static void glBindTransformFeedbackNV(int target, int id)

### glDeleteTransformFeedbacksNV

public static void glDeleteTransformFeedbacksNV(IntBuffer ids)

### glDeleteTransformFeedbacksNV

public static void glDeleteTransformFeedbacksNV(int id)
Overloads glDeleteTransformFeedbacksNV.

### glGenTransformFeedbacksNV

public static void glGenTransformFeedbacksNV(IntBuffer ids)

### glGenTransformFeedbacksNV

public static int glGenTransformFeedbacksNV()
Overloads glGenTransformFeedbacksNV.

### glIsTransformFeedbackNV

public static boolean glIsTransformFeedbackNV(int id)

### glPauseTransformFeedbackNV

public static void glPauseTransformFeedbackNV()

### glResumeTransformFeedbackNV

public static void glResumeTransformFeedbackNV()

### glDrawTransformFeedbackNV

public static void glDrawTransformFeedbackNV(int mode, int id)